from infection_monkey.telemetry.base_telem import BaseTelem

__author__ = "itay.mizeretz"


class ExploitTelem(BaseTelem):

    def __init__(self, exploiter, result):
        """
        Default exploit telemetry constructor
        :param exploiter: The instance of exploiter used
        :param result: The result from the 'exploit_host' method.
        """
        super(ExploitTelem, self).__init__()
        self.exploiter = exploiter
        self.result = result

    telem_category = 'exploit'

    def get_data(self):
        return {
            'result': self.result,
            'machine': self.exploiter.host.__dict__,
            'exploiter': self.exploiter.__class__.__name__,
            'info': self.exploiter.exploit_info,
            'attempts': self.exploiter.exploit_attempts
        }
